##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once

AxiCdcm6208: &AxiCdcm6208 
  class: MMIODev
  configPrio: 1
  description: "AxiCdcm6208 Module"
  size: 0x00100
  #########
  children:
  #########
    #########################################################
    #
    #   Control registers
    #
    #########################################################
    Cdcm6208:
      class: IntField
      at:
        offset: 0x000
        nelms: 21
      sizeBits: 16
      mode: RW
      description: "Cdcm6208 Control Registers"
    #########################################################
    #
    #   Status registers
    #
    #########################################################
    SEL_REF:
      class: IntField
      at:
        offset: 0x054
      lsBit: 0
      sizeBits: 1
      mode: RO
      description: "Indicates Reference Selected for PLL:0 SEL_REF 0 => Primary 1 => Secondary"
    ##########################################################
    LOS_REF:
      class: IntField
      at:
        offset: 0x054
      lsBit: 1
      sizeBits: 1
      mode: RO
      description: "Loss of reference input: 0 => Reference input present 1 => Loss of reference input."
    ##########################################################
    PLL_UNLOCK:
      class: IntField
      at:
        offset: 0x054
      lsBit: 2
      sizeBits: 1
      mode: RO
      description: "Indicates unlock status for PLL (digital):0 => PLL locked 1 => PLL unlocked"
    #########################################################
    DIE_REVISION:
      class: IntField
      at:
        offset: 0x0A0
      lsBit: 0
      sizeBits: 3
      mode: RO
      description: "Indicates the silicon die revision (Read only): 2:0 DIE_REVISION 00X --> Engineering Prototypes 010 --> Production Materia"
    #########################################################
    VCO_VERSION:
      class: IntField
      at:
        offset: 0x0A0
      lsBit: 3
      sizeBits: 3
      mode: RO
      description: "Indicates the device version (Read only):5:3 VCO_VERSION 000 => CDCM6208V1 001 => CDCM6208V2"
    #########################################################
    
